Bug 166685 - Ktorrent crash randomly and send SIGSEGV
Summary: Ktorrent crash randomly and send SIGSEGV
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR crash with 10 votes (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
: 189327 205758 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-07-16 02:16 UTC by Zakary Flores
Modified: 2009-08-31 20:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zakary Flores 2008-07-16 02:16:26 UTC
Version:           3.1.1 (using KDE 3.5.9)
Installed from:    Debian testing/unstable Packages
OS:                Linux

Ktorrent 3.1.1 crash randomly on kde 3.5.9 in debian sid (excuse my poor english)
Backtrace:
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb5e15700 (LWP 7276)]
[New Thread 0xafce2b90 (LWP 7347)]
[New Thread 0xb04e2b90 (LWP 7346)]
[New Thread 0xb1313b90 (LWP 7320)]
[New Thread 0xb37b3b90 (LWP 7319)]
[New Thread 0xb2fb3b90 (LWP 7318)]
[New Thread 0xb4213b90 (LWP 7314)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xb61758f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
[Current thread is 0 (LWP 7276)]

Thread 7 (Thread 0xb4213b90 (LWP 7314)):
#0  0xb6175c08 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#1  0xb67ea7b4 in pthread_cond_timedwait () from /lib/libc.so.6
#2  0xb21403df in ?? () from /usr/lib/libxine.so.1

Thread 6 (Thread 0xb2fb3b90 (LWP 7318)):
#0  0xb67cfba1 in read () from /lib/libc.so.6
#1  0xb2203172 in ?? () from /usr/lib/libasound.so.2
#2  0x00000013 in ?? ()
#3  0xb2fb31f0 in ?? ()
#4  0x00000048 in ?? ()
#5  0xb228d024 in ?? () from /usr/lib/libasound.so.2
#6  0x00000000 in ?? ()

Thread 5 (Thread 0xb37b3b90 (LWP 7319)):
#0  0xb61758f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb67ea75d in pthread_cond_wait () from /lib/libc.so.6
#2  0xb21521b3 in ?? () from /usr/lib/libxine.so.1
#3  0x08a70a30 in ?? ()
#4  0x08a70a18 in ?? ()
#5  0x28c0cd6e in ?? ()
#6  0x00000001 in ?? ()
#7  0xb2600ef8 in ?? ()
#8  0xb2600010 in ?? ()
#9  0xb37b32f8 in ?? ()
#10 0xb2602ce0 in ?? ()
#11 0x00000001 in ?? ()
#12 0x080f77d8 in typeinfo for QObject ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 4 (Thread 0xb1313b90 (LWP 7320)):
#0  0xb67d51ed in poll () from /lib/libc.so.6
#1  0xb61c0812 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x08a8ad28 in ?? ()
#3  0x00000001 in ?? ()
#4  0xffffffff in ?? ()
#5  0x08a8ad28 in ?? ()
#6  0x00000001 in ?? ()
#7  0xb6238c48 in ?? () from /usr/lib/libglib-2.0.so.0
#8  0xb6238898 in ?? () from /usr/lib/libglib-2.0.so.0
#9  0xb62388c0 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0xb1313204 in ?? ()
#11 0xb6238898 in ?? () from /usr/lib/libglib-2.0.so.0
#12 0xb62388c0 in ?? () from /usr/lib/libglib-2.0.so.0
#13 0x08a8a1bc in ?? ()
#14 0x00000001 in ?? ()
#15 0x08a8a1b8 in ?? ()
#16 0x08a8ad28 in ?? ()
#17 0xb67d5180 in ?? () from /lib/libc.so.6
#18 0xb67ea930 in ?? () from /lib/libc.so.6
#19 0xb67ea8f0 in ?? () from /lib/libc.so.6
#20 0x08a8a1bc in ?? ()
#21 0xb684dff4 in ?? () from /lib/libc.so.6
#22 0x08a8a1b8 in ?? ()
#23 0xffffffff in ?? ()
#24 0x7fffffff in ?? ()
#25 0xb62384e8 in ?? () from /usr/lib/libglib-2.0.so.0
#26 0x08a8a1b8 in ?? ()
#27 0xb67ea8f0 in ?? () from /lib/libc.so.6
#28 0xb1313238 in ?? ()
#29 0xb61c0b41 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
Backtrace stopped: frame did not save the PC

Thread 3 (Thread 0xb04e2b90 (LWP 7346)):
#0  0xb67a903c in nanosleep () from /lib/libc.so.6
#1  0xb67a8e60 in sleep () from /lib/libc.so.6
#2  0xb7a64d66 in ?? () from /usr/lib/libkdeui.so.5
#3  0x00000000 in ?? ()

Thread 2 (Thread 0xafce2b90 (LWP 7347)):
#0  0xb61758f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb67ea75d in pthread_cond_wait () from /lib/libc.so.6
#2  0xb69c8a02 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb69c3f8a in QMutex::lock () from /usr/lib/libQtCore.so.4
#4  0xb7e40b40 in net::SocketMonitor::lock () from /usr/lib/libbtcore.so.7p
#5  0xb7e41ec2 in ?? () from /usr/lib/libbtcore.so.7p
#6  0xb7e43138 in ?? () from /usr/lib/libbtcore.so.7p
#7  0xb69c9322 in ?? () from /usr/lib/libQtCore.so.4
#8  0xb6171f3b in start_thread () from /lib/libpthread.so.0
#9  0xb67de8ae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5e15700 (LWP 7276)):
#0  0xb61758f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb67ea75d in pthread_cond_wait () from /lib/libc.so.6
#2  0xb69c8a02 in ?? () from /usr/lib/libQtCore.so.4
#3  0xb69c3f8a in QMutex::lock () from /usr/lib/libQtCore.so.4
#4  0xb7e415a8 in net::SocketMonitor::remove () from /usr/lib/libbtcore.so.7p
#5  0xb7e4770b in mse::StreamSocket::~StreamSocket ()
   from /usr/lib/libbtcore.so.7p
#6  0xb7e52c94 in ?? () from /usr/lib/libbtcore.so.7p
#7  0xb7e5446e in bt::PeerManager::closeAllConnections ()
   from /usr/lib/libbtcore.so.7p
#8  0xb7e8f597 in bt::TorrentControl::stop () from /usr/lib/libbtcore.so.7p
#9  0xb7f447f4 in kt::QueueManager::stopSafely () from /usr/lib/libktcore.so.6
#10 0xb7f454f2 in kt::QueueManager::onExit () from /usr/lib/libktcore.so.6
#11 0x0806b58c in _start ()
#0  0xb61758f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
Comment 1 Joris Guisson 2008-07-16 10:54:26 UTC
Could you install debug packages to get a better backtrace ?

See here : http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports
Comment 2 Zakary Flores 2008-07-16 14:39:04 UTC
Excuse me (was my first time), thanks. This is the backtrace with debug packages:
[Thread debugging using libthread_db enabled]
[New Thread 0xb5e11700 (LWP 8042)]
[New Thread 0xafcd5b90 (LWP 8072)]
[New Thread 0xb04d5b90 (LWP 8071)]
[New Thread 0xb12feb90 (LWP 8061)]
[New Thread 0xb452db90 (LWP 8060)]
[New Thread 0xb3acfb90 (LWP 8059)]
[New Thread 0xb32cfb90 (LWP 8055)]
[KCrash handler]
#5  0xb7e3dbfa in net::Speed::update (this=0x8ca1b88, now=1216211311364)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/speed.cpp:50
#6  0xb7e39f86 in net::BufferedSocket::updateSpeeds (this=0x8ea7d88, 
    now=1216211311364)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/bufferedsocket.cpp:201
#7  0xb7e3e621 in net::DownloadThread::fillPollVector (this=0x80feed8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/downloadthread.cpp:124
#8  0xb7e3e6dd in net::DownloadThread::update (this=0x80feed8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/downloadthread.cpp:51
#9  0xb7e3f138 in net::NetworkThread::run (this=0x80feed8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/networkthread.cpp:48
#10 0xb69c5322 in QThreadPrivate::start (arg=0x80feed8)
    at thread/qthread_unix.cpp:190
#11 0xb616df3b in start_thread () from /lib/libpthread.so.0
#12 0xb67da8ae in clone () from /lib/libc.so.6

Thread 2 (Thread 0xafcd5b90 (LWP 8072)):
#0  0xb61718f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb67e675d in pthread_cond_wait () from /lib/libc.so.6
#2  0xb69c4a02 in QMutexPrivate::wait (this=0x80fee78, timeout=-1)
    at thread/qmutex_unix.cpp:85
#3  0xb69bff8a in QMutex::lock (this=0xb7f0cc30) at thread/qmutex.cpp:188
#4  0xb7e3cb40 in net::SocketMonitor::lock (this=0xb7f0cc2c)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/socketmonitor.cpp:73
#5  0xb7e3dec2 in net::UploadThread::update (this=0x80ff210)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/uploadthread.cpp:44
#6  0xb7e3f138 in net::NetworkThread::run (this=0x80ff210)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/net/networkthread.cpp:48
#7  0xb69c5322 in QThreadPrivate::start (arg=0x80ff210)
    at thread/qthread_unix.cpp:190
#8  0xb616df3b in start_thread () from /lib/libpthread.so.0
#9  0xb67da8ae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb5e11700 (LWP 8042)):
#0  0xb61718f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0xb67e675d in pthread_cond_wait () from /lib/libc.so.6
#2  0xb69c4a02 in QMutexPrivate::wait (this=0x80fee78, timeout=-1)
    at thread/qmutex_unix.cpp:85
#3  0xb69bff8a in QMutex::lock (this=0xb7f0cc30) at thread/qmutex.cpp:188
#4  0xb7e3d5a8 in net::SocketMonitor::remove (this=0xb7f0cc2c, sock=0x907cf38)
    at /usr/include/qt4/QtCore/qmutex.h:122
#5  0xb7e4370b in ~StreamSocket (this=0x8d21670)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/mse/streamsocket.cpp:75
#6  0xb7e4ec94 in ~Peer (this=0x8ebd7d8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/peer/peer.cpp:108
#7  0xb7e5046e in bt::PeerManager::closeAllConnections (this=0x8842648)
    at /usr/include/qt4/QtCore/qalgorithms.h:352
#8  0xb7e8b597 in bt::TorrentControl::stop (this=0x88435e0, user=false, 
    wjob=0x83453a8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libbtcore/torrent/torrentcontrol.cpp:490
#9  0xb7f407f4 in kt::QueueManager::stopSafely (this=0x835d778, tc=0x88435e0, 
    user=226, wjob=0x83453a8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libktcore/torrent/queuemanager.cpp:725
#10 0xb7f414f2 in kt::QueueManager::onExit (this=0x835d778, wjob=0x83453a8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/libktcore/torrent/queuemanager.cpp:389
#11 0x0806b58c in kt::Core::onExit (this=0x835f0d0)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/ktorrent/core.cpp:666
#12 0x08073c6b in kt::GUI::queryExit (this=0x83506c8)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/ktorrent/gui.cpp:692
#13 0xb7ac10f3 in KMainWindowPrivate::_k_shuttingDown (this=0x81a1920)
    at /tmp/buildd/kde4libs-4.0.98/kdeui/widgets/kmainwindow.cpp:1049
#14 0xb7ac4646 in KMainWindow::qt_metacall (this=0x83506c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf9b1e38)
    at /tmp/buildd/kde4libs-4.0.98/obj-i486-linux-gnu/kdeui/kmainwindow.moc:93
#15 0xb7b0605a in KXmlGuiWindow::qt_metacall (this=0x83506c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=38, _a=0xbf9b1e38)
    at /tmp/buildd/kde4libs-4.0.98/obj-i486-linux-gnu/kdeui/kxmlguiwindow.moc:93
#16 0x080c864f in ideal::MainWindow::qt_metacall (this=0x83506c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=38, _a=0xbf9b1e38)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/obj-i486-linux-gnu/ideal/mainwindow.moc:60
#17 0x08076fdf in kt::GUI::qt_metacall (this=0x83506c8, 
    _c=QMetaObject::InvokeMetaMethod, _id=38, _a=0xbf9b1e38)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/obj-i486-linux-gnu/ktorrent/gui.moc:112
#18 0xb6ac90c0 in QMetaObject::activate (sender=0xbf9b21ec, 
    from_signal_index=4, to_signal_index=4, argv=0x0)
    at kernel/qobject.cpp:3010
#19 0xb6ac9e42 in QMetaObject::activate (sender=0xbf9b21ec, m=0xb6b969c4, 
    local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3080
#20 0xb6b03927 in QCoreApplication::aboutToQuit (this=0xbf9b21ec)
    at .moc/release-shared/moc_qcoreapplication.cpp:123
#21 0xb79f4dab in KApplication::xioErrhandler (this=0xbf9b21ec, dpy=0x8122a50)
    at /tmp/buildd/kde4libs-4.0.98/kdeui/kernel/kapplication.cpp:416
#22 0xb79f4df6 in kde_xio_errhandler (dpy=0x8122a50)
    at /tmp/buildd/kde4libs-4.0.98/kdeui/kernel/kapplication.cpp:130
#23 0xb635a902 in _XIOError () from /usr/lib/libX11.so.6
#24 0xb63628c5 in ?? () from /usr/lib/libX11.so.6
#25 0x08122a50 in ?? ()
#26 0xb5eebc0c in ?? () from /usr/lib/libxcb.so.1
#27 0xbf9b1f18 in ?? ()
#28 0xb5edcb99 in xcb_flush () from /usr/lib/libxcb.so.1
#29 0xb63630e5 in _XEventsQueued () from /usr/lib/libX11.so.6
#30 0xb634b44f in XEventsQueued () from /usr/lib/libX11.so.6
#31 0xb6eea64a in x11EventSourcePrepare (s=0x81113d0, timeout=0xbf9b1fe8)
    at kernel/qguieventdispatcher_glib.cpp:81
#32 0xb61bc1e4 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#33 0xb61bc66a in ?? () from /usr/lib/libglib-2.0.so.0
#34 0x081106c0 in ?? ()
#35 0xbf9b2058 in ?? ()
#36 0x085ab5a8 in ?? ()
#37 0xb616f28e in pthread_mutex_lock () from /lib/libpthread.so.0
#38 0xb61bcb41 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#39 0xb6adeb78 in QEventDispatcherGlib::processEvents (this=0x8106b40, flags=
      {i = -1080352552}) at kernel/qeventdispatcher_glib.cpp:325
#40 0xb6eea415 in QGuiEventDispatcherGlib::processEvents (this=0x8106b40, 
    flags={i = -1080352504}) at kernel/qguieventdispatcher_glib.cpp:204
#41 0xb6ab2c5a in QEventLoop::processEvents (this=0xbf9b2180, flags=
      {i = -1080352440}) at kernel/qeventloop.cpp:149
#42 0xb6ab2e1a in QEventLoop::exec (this=0xbf9b2180, flags={i = -1080352376})
    at kernel/qeventloop.cpp:200
#43 0xb6ab54c5 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:845
#44 0xb6e514e7 in QApplication::exec () at kernel/qapplication.cpp:3304
#45 0x080643c3 in main (argc=5, argv=0xbf9b2564)
    at /tmp/buildd/ktorrent-3.1.1+dfsg.1/ktorrent/main.cpp:163
#0  0xb61718f0 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
Comment 3 Joris Guisson 2008-07-19 13:16:30 UTC
Nice, an XIO error, we have seen these before, but never managed to find a fix. (I haven't actually managed to reproduce these kind of errors)
Comment 4 Lubos Lunak 2008-07-21 16:23:25 UTC
SVN commit 835987 by lunakl:

Remove emitting of aboutToQuit() from KApplication::xioErrhandler() - the application
is not about to quit, it is about to fall flat on its face. There is really not that
much to do once KDE apps lose their connection to the X server. How that can happen
while the X server still continues to run is a different question and I don't know
the answer. It is quite possible it is caused by careless usage of one X connection
from several threads concurrently without proper locking.

CCBUG: 166685
CCBUG: 166432
CCBUG: 166401
CCBUG: 166179
CCBUG: 165451
CCBUG: 165307
CCBUG: 165059
CCBUG: 164740
CCBUG: 164665
CCBUG: 163751
CCBUG: 163355
CCBUG: 161787
CCBUG: 160692
CCBUG: 160458
CCBUG: 158194
CCBUG: 158088
CCBUG: 157607
CCBUG: 154011
CCBUG: 151293
CCBUG: 146891
CCBUG: 146700
CCBUG: 146562
CCBUG: 144383
CCBUG: 143375
CCBUG: 141871
BUG: 140683
CCBUG: 139162
CCBUG: 134708
CCBUG: 133332
CCBUG: 128588
CCBUG: 112960



 M  +0 -1      kapplication.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835987
Comment 5 Joris Guisson 2008-08-23 13:30:37 UTC
This should be closed as fixed
Comment 6 Joris Guisson 2009-04-11 09:59:23 UTC
*** Bug 189327 has been marked as a duplicate of this bug. ***
Comment 7 Joris Guisson 2009-08-31 20:00:48 UTC
*** Bug 205758 has been marked as a duplicate of this bug. ***